function ShowFrog2012(folder)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%Easy Show Frog Data%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clc
close all
% clear all

path='C:\Users\Andrs\Documents\MATLAB';
folder=folder;
fEk=fullfile(path,folder,'Ek.dat');
fa=fullfile(path,folder,'a.dat');
farecon=fullfile(path,folder,'arecon.dat');
fAutok=fullfile(path,folder,'Autok.dat');
ffrog=fullfile(path,folder,'frog.dat');
fmarg=fullfile(path,folder,'marg.dat');
fSpeck=fullfile(path,folder,'Speck.dat');

data=fullfile(path,folder,'data.mat');

header = data(1:5);
trace = data(6:length(data));

Ek=dlmread(fEk);                    %retrieved electric field in time domain
a=dlmread(fa,' ');                      %original FROG-trace
%frog=dlmread(ffrog,' ');               %Log-file
arecon=dlmread(farecon,' ');            %received FROG-trace
Autok=dlmread(fAutok);              %autocorrelation of retrieved electric field
marg=dlmread(fmarg,' ');                %marginals of original and retrieved pulse
Speck=dlmread(fSpeck);              %retrieved electric field in frequency domain
pi=3.1416;



figure(1),
[AX,H1,H2]= plotyy(Ek(:,1),Ek(:,2),Ek(:,1),Ek(:,3)/pi);
title('Intensity and Phase in time domain');
set(get(AX(1),'Ylabel'),'String','Intensity');
set(get(AX(2),'Ylabel'),'String','\Phi/\pi');
legend([H1 H2],'Intensity','Phase',1);
xlabel('t in fs');

figure,
plotyy(Ek(:,1),Ek(:,4),Ek(:,1),Ek(:,5))
title('Imaginary and Real Part in time domain');
legend('Real','Imaginary',1);
xlabel('t in fs');ylabel('Intensity');

figure,
[AX,H1,H2]= plotyy(Speck(:,1),Speck(:,2),Speck(:,1),Speck(:,3)/pi);
title('Intensity and Phase in frequency domain');
set(get(AX(1),'Ylabel'),'String','Intensity');
set(get(AX(2),'Ylabel'),'String','\phi/\pi');
legend([H1 H2],'Intensity','Phase',1);
xlabel('\lambda in nm');

figure,
plotyy(Speck(:,1),Speck(:,4),Speck(:,1),Speck(:,5));
title('Imaginary and Real Part in frequency domain');
legend('Real','Imaginary',1);
xlabel('\lambda in nm');ylabel('Intensity');

figure,
plot(Autok(:,1),Autok(:,2));
title('Autocorrelation');
xlabel('\tau in fs');ylabel('Intensity');    



%%Data Performance%%

a2=a(3:length(a(:,5)),1:length(a(5,:)));
arecon2=arecon(3:length(arecon(:,5)),1:length(arecon(5,:)));
load (data);
trace=data(6:length(data));
data=data';
header=data(1:5);
data1=data(6:length(data));
coltrace = 1;
trace=data1(1:header(1));
for i=1:length(data1)-header(1)
    if mod(i,header(1))== 0
        coltrace = coltrace + 1;
        trace(coltrace,:)=data1(i+1:i+header(1));
    end
end


trace = [[trace(1:header(2),1:round(header(1)/2)-1)] [trace(1:header(2),round(header(1)/2):header(1))]];

trace3(:,header(1))=trace(:,1);
for k=1:header(1)-1
    trace3(:,k)=trace(:,header(1)-k);
end   

a3(:,length(a2))=a2(:,1);
for l=1:length(a2)-1
    a3(:,l)=a2(:,length(a2)-l);
end   
a4(length(a3),:)=a3(1,:);
for n=1:length(a3)-1
     a4(n,:)=a3(length(a3)-n,:);
end   
arecon3(:,length(arecon2))=arecon2(:,1);
for m=1:length(arecon2)-1
    arecon3(:,m)=arecon2(:,length(arecon2)-m);
end   
arecon4(length(arecon3),:)=arecon3(1,:);
for o=1:length(arecon3)-1
     arecon4(o,:)=arecon3(length(arecon3)-o,:);
end  
% 
a5=a4(length(a4)/4+1:length(a4)/4+length(a4)/2,length(a4)/4+1:length(a4)/4+length(a4)/2);
arecon5=arecon4(length(arecon4)/4+1:length(arecon4)/4+length(arecon4)/2,length(arecon4)/4+1:length(arecon4)/4+length(arecon4)/2);
dl3=[-(header(2)/4)*header(4)+header(5):header(4)*header(2)/a(1,1):(header(2)/4-1)*header(4)+header(5)+(header(4)*(header(2)/a(1,1)-(header(4)/2)))];
dt3=[-header(1)/4*header(3):header(3)*header(1)/a(1,1):(header(1)/4-1)*header(3)+header(3)-1];


dl2=[-(header(2)/2)*header(4)+header(5):header(4)*header(2)/a(1,1):(header(2)/2-1)*header(4)+header(5)+(header(4)*(header(2)/a(1,1)-(header(4)/2)))];
dt2=[-header(1)/2*header(3):header(3)*header(1)/a(1,1):(header(1)/2-1)*header(3)+header(3)-1];
dt=[-header(1)/2*header(3):header(3):(header(1)/2-1)*header(3)];

dl=[-(header(2)/2)*header(4)+header(5):header(4):(header(2)/2-1)*header(4)+header(5)];
dl2=[-(header(2)/2)*header(4)+header(5):header(4)*header(2)/a(1,1):(header(2)/2)*header(4)+header(5)+(header(4)*(header(2)/a(1,1)-(header(4)/2)))];
dt2=[-header(1)/2*header(3):header(3)*header(1)/a(1,1):(header(1)/2-1)*header(3)+header(3)-1];

figure('Name','FROG Traces')
colormap(jet(64))
%  %Raw data vs. delay and wavelength

 surf(dt,dl,trace3,'FaceColor','interp',...
 'EdgeColor','none',...
 'FaceLighting','phong')
%surf(X,Y,trace3)
axis([dt(1) dt(length(dt)) dl(1) dl(length(dl)) 0 max(max(trace3))]);
title('Original Trace');                     
xlabel('\tau in fs');ylabel('\lambda in nm');
%original and retrieved FROG traces%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
intensitytrace3=(0:max(max(trace3)))
intensityarecon=(0:max(max(arecon5)))
intensitya=(0:max(max(a5)))


figure('Name','FROG Traces')
colormap(jet(64))


surf(dt3,dl3,a5,'FaceColor','interp',...
 'EdgeColor','none',...
 'FaceLighting','phong')
%         contour3(X2,Y2,a3,1000)
axis([dt3(1) dt3(length(dt3)) dl3(1) dl3(length(dl3)) 0 max(max(a5))]);   
%original FROG trace
title('Original Pulse');
xlabel('\tau in fs');ylabel('\lambda in nm');

figure('Name','FROG Traces')
% subplot(2,4,[7 8])
colormap(jet(64))
surf(dt3,dl3,arecon5,'FaceColor','interp',...
 'EdgeColor','none',...
 'FaceLighting','phong')
axis([dt3(1) dt3(length(dt3)) dl3(1) dl3(length(dl3))  0 max(max(arecon5))]);                     %retrieved FROG trace
title('Retrieved Pulse');
xlabel('\tau in fs');ylabel('\lambda in nm');


