clear all
close all
clc

path='C:\Users\Andrs\Documents\MATLAB\6_NoCuvNoDich10fs';
Speck1=dlmread(fullfile(path,'Speck.dat'));
Autok1=dlmread(fullfile(path,'Autok.dat'));
Ek1=dlmread(fullfile(path,'Ek.dat'));
path='C:\Users\Andrs\Documents\MATLAB\10_10mmCuvNoDich10fs';
Speck2=dlmread(fullfile(path,'Speck.dat'));
Autok2=dlmread(fullfile(path,'Autok.dat'));
Ek2=dlmread(fullfile(path,'Ek.dat'));
path='C:\Users\Andrs\Documents\MATLAB\12_50mmCuvDich10fs';
Speck3=dlmread(fullfile(path,'Speck.dat'));
Autok3=dlmread(fullfile(path,'Autok.dat'));
Ek3=dlmread(fullfile(path,'Ek.dat'));
path='C:\Users\Andrs\Documents\MATLAB\16_100mmCuvDich10fs';
Ek4=dlmread(fullfile(path,'Ek.dat'));
Speck4=dlmread(fullfile(path,'Speck.dat'));
Autok4=dlmread(fullfile(path,'Autok.dat'));
pi =3.1416;
Speck1_n=size(Speck1,1);  
limit_orig=2.8934e-11;                       %maximum of intensity value relative to I_max for which phase is set to zero
limit=limit_orig;                       %reset limit
for i=1:Speck1_n                         %shorter wavelengths
    if Speck1(i,2)<limit                 %if intensity < limit,
        Speck1(i,3)=0;                   %set phase = 0
        wave_left=i;                    %wavelength counter for extract of relevant pulse part
    else                                %if intensity > limit
        limit=0;                        
    end;
end;
limit=limit_orig;                       %reset limit
for i=Speck1_n:-1:1                      %longer wavelengths
    if Speck1(i,2)<limit                 %if intensity < limit,
        Speck1(i,3)=0;                   %set phase = 0
        wave_right=i;                   %wavelength counter for extract of relevant pulse part
    else                                %if intensity > limit
        limit=0;
    end;
end;
Ek3_n=size(Ek3,1);
limit_orig=2.8934e-11;                       %maximum of intensity value relative to I_max for which phase is set to zero
limit=limit_orig; 
for i=1:Ek3_n                            %negative time of the pulse
    if Ek3(i,2)<limit                    %if Intensity < limit, 
        Ek3(i,3)=0;                      %set phase=0
        time_left=i;                    %time counter for extract of relevant pulse part
    else                                %if Intensity > limit
        limit=0;
    end;
end;
limit=limit_orig;                       %reset limit
for i=Ek3_n:-1:1                         %positive time of the pulse
    if Ek3(i,2)<limit                    %if intensity < limit
        Ek3(i,3)=0;                      %set phase=0
        time_right=i;                   %time counter for extract of relevant pulse part
    else                                %if intensity > limit
        limit=0;                        
    end;
end;
figure,
% plot(Speck1(wave_left:wave_right,1),Speck1(wave_left:wave_right,3)/pi),hold on
plot(Speck1(:,1),Speck1(:,3)/pi,'r'), hold on
plot(Speck2(:,1),Speck2(:,3)/pi,'b'), hold on
plot(Speck3(:,1),Speck3(:,3)/pi,'g'), hold on
plot(Speck4(:,1),Speck4(:,3)/pi,'k'), hold off
axis([750 850 0 5]);  
title('Phase variation'); %retrieved FROG trace
xlabel('\lambda in nm');
ylabel('Phase \phi/\pi');
legend('Reference', '10mm', '50mm', '100mm');

figure,
plot(Autok1(:,1),Autok1(:,2),'r'), hold on
plot(Autok2(:,1),Autok2(:,2),'b'), hold on
plot(Autok3(:,1),Autok3(:,2),'g'), hold on
plot(Autok4(:,1),Autok4(:,2),'k'), hold off
axis([-500 500 0 1])
title('Autocorrelation Broadening');
xlabel('\tau in fs');
ylabel('Intensity');
legend('Reference', '10mm', '50mm', '100mm');

figure,
plot(Ek1(:,1),Ek1(:,3)/pi,'r'), hold on
plot(Ek2(:,1),Ek2(:,3)/pi,'b'), hold on
plot(Ek3(:,1),Ek3(:,3)/pi,'g'), hold on
% plot(Ek3(time_left:time_right,1),Ek3(time_left:time_right,3)/pi),hold on
plot(Ek4(:,1),Ek4(:,3)/pi,'k'), hold off
% axis([750 850 0 3]);                     %retrieved FROG trace
title('Temporal Phases');
xlabel('t in fs');
ylabel('Phase \phi/\pi');
legend('Reference', '10mm', '50mm', '100mm');