function showfrogEdu(folder)

clc;
%clear all;
close all;

%read-in of data%
%%%%%%%%%%%%%%%%%

path='C:\Users\Andrs\Documents\MATLAB';
folder=folder;
fEk=fullfile(path,folder,'Ek.dat');
fa=fullfile(path,folder,'a.dat');
farecon=fullfile(path,folder,'arecon.dat');
fAutok=fullfile(path,folder,'Autok.dat');
% fdata=fullfile(path,folder,'data.12H');
ffrog=fullfile(path,folder,'frog.dat');
fmarg=fullfile(path,folder,'marg.dat');
fSpeck=fullfile(path,folder,'Speck.dat');

Ek=dlmread(fEk);                    %retrieved electric field in time domain
a=dlmread(fa,' ');                      %original FROG-trace
% frog=dlmread(ffrog,' ');               %Log-file
arecon=dlmread(farecon,' ');            %received FROG-trace
Autok=dlmread(fAutok);              %autocorrelation of retrieved electric field
% trace=dlmread(fdata,'\t',1,0);          %raw data without header
% header=dlmread(fdata,'\t',[0 0 0 4]);   %properties of the raw data (header)
marg=dlmread(fmarg,' ');                %marginals of original and retrieved pulse
Speck=dlmread(fSpeck);              %retrieved electric field in frequency domain
pi=3.1416;

data=fullfile(path,folder,'data.mat');
load data;
header = data(1:5);
trace = data(6:length(data));

% time_right = 0;
% time_left = 0;
% wave_right = 0;
% wave_left = 0;
%Cutting phase away%
%%%%%%%%%%%%%%%%%%%%

Ek_n=size(Ek,1);                        %Ek_n = electric field (time domain) with truncated phase
limit_orig=10^-4;                       %maximum of intensity value relative to I_max for which phase is set to zero
limit=limit_orig;
for i=1:Ek_n                            %negative time of the pulse
    if Ek(i,2)<limit                    %if Intensity < limit, 
        Ek(i,3)=0;                      %set phase=0
        time_left=i;                    %time counter for extract of relevant pulse part
    else                                %if Intensity > limit
        limit=0;
    end;
end;
limit=limit_orig;                       %reset limit
for i=Ek_n:-1:1                         %positive time of the pulse
    if Ek(i,2)<limit                    %if intensity < limit
        Ek(i,3)=0;                      %set phase=0
        time_right=i;                   %time counter for extract of relevant pulse part
    else                                %if intensity > limit
        limit=0;                        
    end;
end;

Speck_n=size(Speck,1);                  %Speck_n = electric field (freq domain) with truncated phase
limit=limit_orig;                       %reset limit
for i=1:Speck_n                         %shorter wavelengths
    if Speck(i,2)<limit                 %if intensity < limit,
        Speck(i,3)=0;                   %set phase = 0
        wave_left=i;                    %wavelength counter for extract of relevant pulse part
    else                                %if intensity > limit
        limit=0;                        
    end;
end;
limit=limit_orig;                       %reset limit
for i=Speck_n:-1:1                      %longer wavelengths
    if Speck(i,2)<limit                 %if intensity < limit,
        Speck(i,3)=0;                   %set phase = 0
        wave_right=i;                   %wavelength counter for extract of relevant pulse part
    else                                %if intensity > limit
        limit=0;
    end;
end;


%retrieved electric field in time domain%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure('Name','Electric field in time and frequency domain')
subplot(221)
[AX,H1,H2]=plotyy(Ek(time_left:time_right,1),Ek(time_left:time_right,2),Ek(time_left:time_right,1),Ek(time_left:time_right,3)/pi);                              %Intensity & Phase versus time
title('Intensity and Phase in time domain');
set(get(AX(1),'Ylabel'),'String','Intensity');
set(get(AX(2),'Ylabel'),'String','\Phi/\pi');
legend([H1 H2],'Intensity','Phase',1);
xlabel('t in fs');

subplot(222)
plot(Ek(time_left:time_right,1),Ek(time_left:time_right,4),Ek(time_left:time_right,1),Ek(time_left:time_right,5));                              %Real & Imaginary versus time
title('Imaginary and Real Part in time domain');
legend('Real','Imaginary',1);
xlabel('t in fs');ylabel('Intensity');


%retrieved electric field in frequency domain%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

subplot(223)
[AX,H1,H2]=plotyy(Speck(wave_left:wave_right,1),Speck(wave_left:wave_right,2),Speck(wave_left:wave_right,1),Speck(wave_left:wave_right,3)/pi); %Intensity & Phase versus wavelength
title('Intensity and Phase in frequency domain');
set(get(AX(1),'Ylabel'),'String','Intensity');
set(get(AX(2),'Ylabel'),'String','\phi/\pi');
legend([H1 H2],'Intensity','Phase',1);
xlabel('\lambda in nm');

subplot(224)
plot(Speck(wave_left:wave_right,1),Speck(wave_left:wave_right,4),Speck(wave_left:wave_right,1),Speck(wave_left:wave_right,5));                              %Real & Imaginary versus wavelength
title('Imaginary and Real Part in frequency domain');
legend('Real','Imaginary',1);
xlabel('\lambda in nm');ylabel('Intensity');






%autocorrelation of retrieved electric field%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure('Name','Consistency Checks')
subplot(2,4,[2 3])
plot(Autok(:,1),Autok(:,2));
title('Autocorrelation');
xlabel('\tau in fs');ylabel('Intensity');          %intensity autocorrelation vs. delay


%Marginals%
%%%%%%%%%%%

%figure('Name','Marginals')
subplot(2,4,[5 6])
plot(marg(:,1),marg(:,2), marg(:,1),marg(:,3));    %Marginals of orginal and retrieved field in time domain
title('Delay Marginal of original and retrieved pulse');
xlabel('\tau in fs');ylabel('Intensity');
legend('original','retrieved',1);
subplot(2,4,[7 8])
plot(marg(:,6),marg(:,4),marg(:,6),marg(:,5));     %Marginals of original and retrieved field in frequency domain
title('Frequency Marginal of original and retrieved pulse');
xlabel('\lambda in nm');ylabel('Intensity');
legend('original','retrieved',1);
%suptitle('Marginals');

%Chirp%
%%%%%%%
time_new=(Ek(time_right+1,1):(Ek(time_left-1,1)-Ek(time_right+1,1))/64/size(Ek,1):Ek(time_left-1,1));   %new time_scale
phase_new=interp1(Ek(time_right+1:time_left-1,1),Ek(time_right+1:time_left-1,3),time_new);              %interpolation of phase
intens_new=interp1(Ek(time_right+1:time_left-1,1),Ek(time_right+1:time_left-1,2),time_new);             %interpolation of intensity
chirp=diff(phase_new)./diff(time_new);                                                                  %calculating chirp
chirp=[0 chirp];                                                                                        %correcting chirp length
chirp_max=max(chirp);                                                                                   %maximum
chirp_min=min(chirp);                                                                                   %minimum


figure('Name','Chirp')
subplot(311)
plot(time_new,intens_new);                                              %Intensity vs. time
title('Intensity');
xlabel('t in fs');ylabel('Intensity');
subplot(312)
plot(time_new,phase_new/pi);                                            %Phase vs. time
title('Phase')
xlabel('t in fs');ylabel('\phi/\pi');
subplot(313)
plot(time_new,chirp);                                                   %Chirp vs. time
xlabel('f in fs');ylabel('\partial\phi /\partial t in rad/s');          
suptitle('Phase and Chirp');
